# coding: utf-8

"""
    ExtremeCloud IQ API

    ExtremeCloud IQ RESTful API for external and internal applications.  # noqa: E501

    The version of the OpenAPI document: 25.2.0.123
    Contact: support@extremenetworks.com
    Generated by: https://openapi-generator.tech
"""

from datetime import date, datetime  # noqa: F401
import decimal  # noqa: F401
import functools  # noqa: F401
import io  # noqa: F401
import re  # noqa: F401
import typing  # noqa: F401
import typing_extensions  # noqa: F401
import uuid  # noqa: F401

import frozendict  # noqa: F401

from extremecloudiq import schemas  # noqa: F401


class XiqSsidAccessSecurity(
    schemas.DictSchema
):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    The SSID access security.
    """


    class MetaOapg:
        
        class properties:
        
            @staticmethod
            def key_type() -> typing.Type['XiqSsidKeyType']:
                return XiqSsidKeyType
            key_value = schemas.StrSchema
        
            @staticmethod
            def sae_group() -> typing.Type['XiqSsidSaeGroup']:
                return XiqSsidSaeGroup
            anti_logging_threshold = schemas.Int64Schema
            transition_mode = schemas.BoolSchema
            security_type = schemas.StrSchema
        
            @staticmethod
            def key_management() -> typing.Type['XiqSsidKeyManagement']:
                return XiqSsidKeyManagement
        
            @staticmethod
            def encryption_method() -> typing.Type['XiqSsidEncryptionMethod']:
                return XiqSsidEncryptionMethod
            __annotations__ = {
                "key_type": key_type,
                "key_value": key_value,
                "sae_group": sae_group,
                "anti_logging_threshold": anti_logging_threshold,
                "transition_mode": transition_mode,
                "security_type": security_type,
                "key_management": key_management,
                "encryption_method": encryption_method,
            }
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["key_type"]) -> 'XiqSsidKeyType': ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["key_value"]) -> MetaOapg.properties.key_value: ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["sae_group"]) -> 'XiqSsidSaeGroup': ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["anti_logging_threshold"]) -> MetaOapg.properties.anti_logging_threshold: ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["transition_mode"]) -> MetaOapg.properties.transition_mode: ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["security_type"]) -> MetaOapg.properties.security_type: ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["key_management"]) -> 'XiqSsidKeyManagement': ...
    
    @typing.overload
    def __getitem__(self, name: typing_extensions.Literal["encryption_method"]) -> 'XiqSsidEncryptionMethod': ...
    
    @typing.overload
    def __getitem__(self, name: str) -> schemas.UnsetAnyTypeSchema: ...
    
    def __getitem__(self, name: typing.Union[typing_extensions.Literal["key_type", "key_value", "sae_group", "anti_logging_threshold", "transition_mode", "security_type", "key_management", "encryption_method", ], str]):
        # dict_instance[name] accessor
        return super().__getitem__(name)
    
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["key_type"]) -> typing.Union['XiqSsidKeyType', schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["key_value"]) -> typing.Union[MetaOapg.properties.key_value, schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["sae_group"]) -> typing.Union['XiqSsidSaeGroup', schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["anti_logging_threshold"]) -> typing.Union[MetaOapg.properties.anti_logging_threshold, schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["transition_mode"]) -> typing.Union[MetaOapg.properties.transition_mode, schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["security_type"]) -> typing.Union[MetaOapg.properties.security_type, schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["key_management"]) -> typing.Union['XiqSsidKeyManagement', schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: typing_extensions.Literal["encryption_method"]) -> typing.Union['XiqSsidEncryptionMethod', schemas.Unset]: ...
    
    @typing.overload
    def get_item_oapg(self, name: str) -> typing.Union[schemas.UnsetAnyTypeSchema, schemas.Unset]: ...
    
    def get_item_oapg(self, name: typing.Union[typing_extensions.Literal["key_type", "key_value", "sae_group", "anti_logging_threshold", "transition_mode", "security_type", "key_management", "encryption_method", ], str]):
        return super().get_item_oapg(name)
    

    def __new__(
        cls,
        *_args: typing.Union[dict, frozendict.frozendict, ],
        key_type: typing.Union['XiqSsidKeyType', schemas.Unset] = schemas.unset,
        key_value: typing.Union[MetaOapg.properties.key_value, str, schemas.Unset] = schemas.unset,
        sae_group: typing.Union['XiqSsidSaeGroup', schemas.Unset] = schemas.unset,
        anti_logging_threshold: typing.Union[MetaOapg.properties.anti_logging_threshold, decimal.Decimal, int, schemas.Unset] = schemas.unset,
        transition_mode: typing.Union[MetaOapg.properties.transition_mode, bool, schemas.Unset] = schemas.unset,
        security_type: typing.Union[MetaOapg.properties.security_type, str, schemas.Unset] = schemas.unset,
        key_management: typing.Union['XiqSsidKeyManagement', schemas.Unset] = schemas.unset,
        encryption_method: typing.Union['XiqSsidEncryptionMethod', schemas.Unset] = schemas.unset,
        _configuration: typing.Optional[schemas.Configuration] = None,
        **kwargs: typing.Union[schemas.AnyTypeSchema, dict, frozendict.frozendict, str, date, datetime, uuid.UUID, int, float, decimal.Decimal, None, list, tuple, bytes],
    ) -> 'XiqSsidAccessSecurity':
        return super().__new__(
            cls,
            *_args,
            key_type=key_type,
            key_value=key_value,
            sae_group=sae_group,
            anti_logging_threshold=anti_logging_threshold,
            transition_mode=transition_mode,
            security_type=security_type,
            key_management=key_management,
            encryption_method=encryption_method,
            _configuration=_configuration,
            **kwargs,
        )

from extremecloudiq.model.xiq_ssid_encryption_method import XiqSsidEncryptionMethod
from extremecloudiq.model.xiq_ssid_key_management import XiqSsidKeyManagement
from extremecloudiq.model.xiq_ssid_key_type import XiqSsidKeyType
from extremecloudiq.model.xiq_ssid_sae_group import XiqSsidSaeGroup
