# do not import all endpoints into this module because that uses a lot of memory and stack frames
# if you need the ability to import all endpoints from this module, import them with
# from extremecloudiq.apis.path_to_api import path_to_api

import enum


class PathValues(str, enum.Enum):
    V1_ACCOUNT_VIQ_DEFAULTDEVICEPASSWORD = "/v1/account/viq/default-device-password"
    USERGROUPS_ID = "/usergroups/{id}"
    USERPROFILES_ID = "/user-profiles/{id}"
    TUNNELCONCENTRATORS_ID = "/tunnel-concentrators/{id}"
    THIRDPARTYAPICONNECTION = "/third-party-api-connection"
    SUBSCRIPTIONS_WEBHOOK_ID = "/subscriptions/webhook/{id}"
    SSIDS_ID_PSK_PASSWORD = "/ssids/{id}/psk/password"
    SSIDS_ID_MODE_WEP = "/ssids/{id}/mode/wep"
    SSIDS_ID_MODE_PSK = "/ssids/{id}/mode/psk"
    SSIDS_ID_MODE_PPSK = "/ssids/{id}/mode/ppsk"
    SSIDS_ID_MODE_OPEN = "/ssids/{id}/mode/open"
    SSIDS_ID_MODE_DOT1X = "/ssids/{id}/mode/dot1x"
    SSIDS_ADVANCEDSETTINGS_ID = "/ssids/advanced-settings/{id}"
    SITE_AFC_SCHEDULE = "/site/afc/schedule"
    RADIUSSERVERS_INTERNAL_ID = "/radius-servers/internal/{id}"
    RADIUSSERVERS_EXTERNAL_ID = "/radius-servers/external/{id}"
    RADIUSPROXIES_ID = "/radius-proxies/{id}"
    RADIUSCLIENTOBJECTS_ID = "/radius-client-objects/{id}"
    RADIOPROFILES_ID = "/radio-profiles/{id}"
    RADIOPROFILES_WMMQOS_ID = "/radio-profiles/wmm-qos/{id}"
    RADIOPROFILES_SENSORSCAN_ID = "/radio-profiles/sensor-scan/{id}"
    RADIOPROFILES_RADIOUSAGEOPT_ID = "/radio-profiles/radio-usage-opt/{id}"
    RADIOPROFILES_NEIGHBORHOODANALYSIS_ID = "/radio-profiles/neighborhood-analysis/{id}"
    RADIOPROFILES_MISCELLANEOUS_ID = "/radio-profiles/miscellaneous/{id}"
    RADIOPROFILES_MACOUIS_ID = "/radio-profiles/mac-ouis/{id}"
    RADIOPROFILES_CHANNELSELECTION_ID = "/radio-profiles/channel-selection/{id}"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID_USERS = "/pcgs/key-based/network-policy-{policyId}/users"
    NETWORKPOLICIES_ID = "/network-policies/{id}"
    MACOBJECTPROFILES_ID = "/mac-object-profiles/{id}"
    MACFIREWALLPOLICIES_ID = "/mac-firewall-policies/{id}"
    LOCATIONS_ID = "/locations/{id}"
    LOCATIONS_SITE_ID = "/locations/site/{id}"
    LOCATIONS_FLOOR_ID = "/locations/floor/{id}"
    LOCATIONS_BUILDING_ID = "/locations/building/{id}"
    LDAPSERVERS_ID = "/ldap-servers/{id}"
    L3ADDRESSPROFILES_ID = "/l3-address-profiles/{id}"
    IPFIREWALLPOLICIES_ID = "/ip-firewall-policies/{id}"
    IOTPROFILES_ID = "/iot-profiles/{id}"
    HOTSPOTSERVICEPROVIDERPROFILES_ID = "/hotspot-service-provider-profiles/{id}"
    HOTSPOTPROFILES_ID = "/hotspot-profiles/{id}"
    HIQ_CONTEXT = "/hiq/context"
    HIQ_CONTEXT_READING = "/hiq/context/reading"
    HIQ_CONTEXT_CREATING = "/hiq/context/creating"
    ENDUSERS_ID = "/endusers/{id}"
    DEVICES_ID_VISIBLE = "/devices/{id}/visible"
    DEVICES_ID_RADIOOPERATINGMODE = "/devices/{id}/radio-operating-mode"
    DEVICES_ID_NETWORKPOLICY = "/devices/{id}/network-policy"
    DEVICES_ID_LOCATION = "/devices/{id}/location"
    DEVICES_ID_HOSTNAME = "/devices/{id}/hostname"
    DEVICES_ID_FTMSETTINGS = "/devices/{id}/ftm-settings"
    DEVICES_ID_DESCRIPTION = "/devices/{id}/description"
    DEVICES_ID_CLIENTMONITOR = "/devices/{id}/client-monitor"
    DEVICES_RADIUSPROXY_ASSIGN = "/devices/radius-proxy/:assign"
    DEVICES_IBEACON = "/devices/ibeacon"
    DEPLOYMENTS_DEPLOYMENT_ID = "/deployments/{deploymentId}"
    CREDENTIALDISTRIBUTIONGROUPS_ID = "/credential-distribution-groups/{id}"
    COPILOT_ANOMALIES_UPDATEDEVICEACTION = "/copilot/anomalies/update-device-action"
    COPILOT_ANOMALIES_UPDATEACTION = "/copilot/anomalies/update-action"
    COPILOT_ANOMALIES_DEVICES_UPDATEACTION = "/copilot/anomalies/devices/update-action"
    COPILOT_ANOMALIES_DEVICES_FEEDBACK = "/copilot/anomalies/devices/feedback"
    CLIENTS_ALIAS = "/clients/alias"
    CLIENTMONITORPROFILES_ID = "/client-monitor-profiles/{id}"
    CLASSIFICATIONRULES_ID = "/classification-rules/{id}"
    CCGS_ID = "/ccgs/{id}"
    ALERTSUBSCRIPTIONS_WEBHOOKS_ID = "/alert-subscriptions/webhooks/{id}"
    ALERTSUBSCRIPTIONS_SERVICENOW_ID = "/alert-subscriptions/servicenow/{id}"
    ALERTSUBSCRIPTIONS_EMAILS_ID = "/alert-subscriptions/emails/{id}"
    ALERTPOLICIES_POLICY_ID_RULES_RULE_ID = "/alert-policies/{policyId}/rules/{ruleId}"
    ALERTPOLICIES_ID = "/alert-policies/{id}"
    ACCOUNT_VIQ_DEFAULTDEVICEPASSWORD = "/account/viq/default-device-password"
    ACCOUNT_VHM_SETTING_ID = "/account/vhm/setting/{id}"
    VLANPROFILES = "/vlan-profiles"
    VLANPROFILES_DELETE = "/vlan-profiles/:delete"
    USERS = "/users"
    USERS_EXTERNAL = "/users/external"
    USERGROUPS = "/usergroups"
    USERPROFILES = "/user-profiles"
    USERPROFILES_ID_MACFIREWALLPOLICIES_DETACH = "/user-profiles/{id}/mac-firewall-policies/:detach"
    USERPROFILES_ID_MACFIREWALLPOLICIES_ATTACH = "/user-profiles/{id}/mac-firewall-policies/:attach"
    USERPROFILES_ID_IPFIREWALLPOLICIES_DETACH = "/user-profiles/{id}/ip-firewall-policies/:detach"
    USERPROFILES_ID_IPFIREWALLPOLICIES_ATTACH = "/user-profiles/{id}/ip-firewall-policies/:attach"
    USERPROFILEASSIGNMENTS = "/user-profile-assignments"
    TUNNELCONCENTRATORS = "/tunnel-concentrators"
    SUBSCRIPTIONS_WEBHOOK = "/subscriptions/webhook"
    SSIDS_ID_USERPROFILE_ATTACH = "/ssids/{id}/user-profile/:attach"
    SSIDS_ID_USERPROFILEASSIGNMENT_ATTACH = "/ssids/{id}/user-profile-assignment/:attach"
    SSIDS_ID_RADIUSSERVERGROUP_ATTACH = "/ssids/{id}/radius-server-group/:attach"
    SSIDS_ID_RADIUSCLIENTPROFILE_ATTACH = "/ssids/{id}/radius-client-profile/:attach"
    SSIDS_ID_CWP_ENABLE = "/ssids/{id}/cwp/:enable"
    SSIDS_ID_CWP_DISABLE = "/ssids/{id}/cwp/:disable"
    SSIDS_ID_CWP_ATTACH = "/ssids/{id}/cwp/:attach"
    SSIDS_ID_CLIENTMONITORPROFILE_ATTACH = "/ssids/{id}/client-monitor-profile/:attach"
    SSIDS_ID_RENAME = "/ssids/{id}/:rename"
    SITE_SPECTRUM_ = "/site/spectrum/"
    RTTS = "/rtts"
    RADIUSSERVERS_INTERNAL = "/radius-servers/internal"
    RADIUSSERVERS_EXTERNAL = "/radius-servers/external"
    RADIUSPROXIES = "/radius-proxies"
    RADIUSCLIENTOBJECTS = "/radius-client-objects"
    RADIOPROFILES = "/radio-profiles"
    RADIOPROFILES_MACOUIS = "/radio-profiles/mac-ouis"
    PCGS_KEYBASED = "/pcgs/key-based"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID_PORTASSIGNMENTS = "/pcgs/key-based/network-policy-{policyId}/port-assignments"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID_KEYS_GENERATE = "/pcgs/key-based/network-policy-{policyId}/keys/:generate"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID_KEYS_EMAIL = "/pcgs/key-based/network-policy-{policyId}/keys/:email"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID_ONBOARD = "/pcgs/key-based/network-policy-{policyId}/:onboard"
    PACKETCAPTURES = "/packetcaptures"
    PACKETCAPTURES_ID_UPLOAD = "/packetcaptures/{id}/:upload"
    PACKETCAPTURES_ID_STOP = "/packetcaptures/{id}/:stop"
    OPERATIONS_OPERATION_ID_CANCEL = "/operations/{operationId}/:cancel"
    NOS_DEVICE_DEVICE_ID_NOSAPI = "/nos/device/{deviceId}/nos-api"
    NETWORKSERVICES = "/network-services"
    NETWORKPOLICIES = "/network-policies"
    NETWORKPOLICIES_ID_SSIDS_REMOVE = "/network-policies/{id}/ssids/:remove"
    NETWORKPOLICIES_ID_SSIDS_ADD = "/network-policies/{id}/ssids/:add"
    MACOBJECTPROFILES = "/mac-object-profiles"
    MACFIREWALLPOLICIES = "/mac-firewall-policies"
    MACFIREWALLPOLICIES_ID_MACFIREWALLRULE_DETACH = "/mac-firewall-policies/{id}/mac-firewall-rule/:detach"
    MACFIREWALLPOLICIES_ID_MACFIREWALLRULE_ATTACH = "/mac-firewall-policies/{id}/mac-firewall-rule/:attach"
    LOGS_AUDIT_REPORTS = "/logs/audit/reports"
    LOGOUT = "/logout"
    LOGIN = "/login"
    LOCATIONS = "/locations"
    LOCATIONS_SITE = "/locations/site"
    LOCATIONS_IMPORT_EKAHAU = "/locations/import/ekahau"
    LOCATIONS_FLOORPLAN = "/locations/floorplan"
    LOCATIONS_FLOOR = "/locations/floor"
    LOCATIONS_BUILDING = "/locations/building"
    LOCATIONS_INIT = "/locations/:init"
    LDAPSERVERS = "/ldap-servers"
    L3ADDRESSPROFILES = "/l3-address-profiles"
    IPFIREWALLPOLICIES = "/ip-firewall-policies"
    IPFIREWALLPOLICIES_ID_IPFIREWALLRULE_DETACH = "/ip-firewall-policies/{id}/ip-firewall-rule/:detach"
    IPFIREWALLPOLICIES_ID_IPFIREWALLRULE_ATTACH = "/ip-firewall-policies/{id}/ip-firewall-rule/:attach"
    IOTPROFILES = "/iot-profiles"
    HOTSPOTSERVICEPROVIDERPROFILES = "/hotspot-service-provider-profiles"
    HOTSPOTPROFILES = "/hotspot-profiles"
    HIQ_ORGANIZATIONS = "/hiq/organizations"
    HIQ_ORGANIZATIONS_ID_RENAME = "/hiq/organizations/{id}/:rename"
    ENDUSERS = "/endusers"
    ENDUSERS_ID_REGENERATEPASSWORD = "/endusers/{id}/:regenerate-password"
    DEVICES_ID_THREAD_COMMISSIONER_STOP = "/devices/{id}/thread/commissioner/:stop"
    DEVICES_ID_THREAD_COMMISSIONER_START = "/devices/{id}/thread/commissioner/:start"
    DEVICES_ID_SSID_STATUS_CHANGE = "/devices/{id}/ssid/status/:change"
    DEVICES_ID_SSID_OVERRIDE = "/devices/{id}/ssid/:override"
    DEVICES_ID_MONITOR_REFRESH = "/devices/{id}/monitor/:refresh"
    DEVICES_ID_IOT_ENABLE = "/devices/{id}/iot/:enable"
    DEVICES_ID_IOT_DISABLE = "/devices/{id}/iot/:disable"
    DEVICES_ID_BOUNCEPORT = "/devices/{id}/bounce-port"
    DEVICES_ID_UNMANAGE = "/devices/{id}/:unmanage"
    DEVICES_ID_RESET = "/devices/{id}/:reset"
    DEVICES_ID_REBOOT = "/devices/{id}/:reboot"
    DEVICES_ID_MANAGE = "/devices/{id}/:manage"
    DEVICES_ID_CLI = "/devices/{id}/:cli"
    DEVICES_RMDEVICESPAGE = "/devices/rm-devices-page"
    DEVICES_RMDEVICESPAGE_EXPORT = "/devices/rm-devices-page/export"
    DEVICES_RMDEVICESMETADATA = "/devices/rm-devices-metadata"
    DEVICES_RMDEVICESCONNECTIONSTATUS = "/devices/rm-devices-connection-status"
    DEVICES_OS_CHANGE = "/devices/os/:change"
    DEVICES_NETWORKPOLICY_REVOKE = "/devices/network-policy/:revoke"
    DEVICES_NETWORKPOLICY_QUERY = "/devices/network-policy/:query"
    DEVICES_NETWORKPOLICY_ASSIGN = "/devices/network-policy/:assign"
    DEVICES_LOCATION_REVOKE = "/devices/location/:revoke"
    DEVICES_LOCATION_QUERY = "/devices/location/:query"
    DEVICES_LOCATION_ASSIGN = "/devices/location/:assign"
    DEVICES_COUNTRYCODE_ASSIGN = "/devices/country-code/:assign"
    DEVICES_CLIENTMONITOR_REVOKE = "/devices/client-monitor/:revoke"
    DEVICES_CLIENTMONITOR_QUERY = "/devices/client-monitor/:query"
    DEVICES_CLIENTMONITOR_ASSIGN = "/devices/client-monitor/:assign"
    DEVICES_UNMANAGE = "/devices/:unmanage"
    DEVICES_REBOOT = "/devices/:reboot"
    DEVICES_ONBOARD = "/devices/:onboard"
    DEVICES_MANAGE = "/devices/:manage"
    DEVICES_DELETE = "/devices/:delete"
    DEVICES_CLI = "/devices/:cli"
    DEVICES_CHECKOWNERSHIP = "/devices/:check-ownership"
    DEVICES_ADVANCEDONBOARD = "/devices/:advanced-onboard"
    DEPLOYMENTS = "/deployments"
    DEPLOYMENTS_FIRMWAREMETADATAS = "/deployments/firmware-metadatas"
    DASHBOARD_WIRELESS_USAGECAPACITY_GRID = "/dashboard/wireless/usage-capacity/grid"
    DASHBOARD_WIRELESS_USAGECAPACITY_EXPORT = "/dashboard/wireless/usage-capacity/export"
    DASHBOARD_WIRELESS_USAGECAPACITY_EXCESSIVEUTILIZATION = "/dashboard/wireless/usage-capacity/excessive-utilization"
    DASHBOARD_WIRELESS_USAGECAPACITY_EXCESSIVERETRIES = "/dashboard/wireless/usage-capacity/excessive-retries"
    DASHBOARD_WIRELESS_USAGECAPACITY_EXCESSIVEPACKETLOSS = "/dashboard/wireless/usage-capacity/excessive-packet-loss"
    DASHBOARD_WIRELESS_DEVICEHEALTH_SUMMARY = "/dashboard/wireless/device-health/summary"
    DASHBOARD_WIRELESS_DEVICEHEALTH_ISSUES_POEUSAGEISSUES = "/dashboard/wireless/device-health/issues/poe-usage-issues"
    DASHBOARD_WIRELESS_DEVICEHEALTH_ISSUES_MEMORYUSAGEISSUES = "/dashboard/wireless/device-health/issues/memory-usage-issues"
    DASHBOARD_WIRELESS_DEVICEHEALTH_ISSUES_CPUUSAGEISSUES = "/dashboard/wireless/device-health/issues/cpu-usage-issues"
    DASHBOARD_WIRELESS_DEVICEHEALTH_GRID = "/dashboard/wireless/device-health/grid"
    DASHBOARD_WIRELESS_DEVICEHEALTH_EXPORT = "/dashboard/wireless/device-health/export"
    DASHBOARD_WIRELESS_DASHBOARD_CRITERIA = "/dashboard/wireless/dashboard/criteria"
    DASHBOARD_WIRELESS_CLIENTHEALTH_ROAMINGISSUES = "/dashboard/wireless/client-health/roaming-issues"
    DASHBOARD_WIRELESS_CLIENTHEALTH_ISSUE_ROAMING = "/dashboard/wireless/client-health/issue/roaming"
    DASHBOARD_WIRELESS_CLIENTHEALTH_ISSUE_IPADDRESS = "/dashboard/wireless/client-health/issue/ipaddress"
    DASHBOARD_WIRELESS_CLIENTHEALTH_ISSUE_AUTHENTICATION = "/dashboard/wireless/client-health/issue/authentication"
    DASHBOARD_WIRELESS_CLIENTHEALTH_ISSUE_ASSOCIATION = "/dashboard/wireless/client-health/issue/association"
    DASHBOARD_WIRELESS_CLIENTHEALTH_GRID = "/dashboard/wireless/client-health/grid"
    DASHBOARD_WIRELESS_CLIENTHEALTH_FREQUENCYDISTRIBUTION = "/dashboard/wireless/client-health/frequency-distribution"
    DASHBOARD_WIRELESS_CLIENTHEALTH_FILTERMETADATA = "/dashboard/wireless/client-health/filter-metadata"
    DASHBOARD_WIRELESS_CLIENTHEALTH_EXPORT = "/dashboard/wireless/client-health/export"
    DASHBOARD_WIRELESS_CLIENTHEALTH_CONNECTIVITYISSUES = "/dashboard/wireless/client-health/connectivity-issues"
    DASHBOARD_USAGECAPACITY = "/dashboard/usage-capacity"
    DASHBOARD_SITESWITHISSUES = "/dashboard/sites-with-issues"
    DASHBOARD_EXPORT = "/dashboard/export"
    DASHBOARD_DEVICES = "/dashboard/devices"
    DASHBOARD_CLIENTS = "/dashboard/clients"
    DASHBOARD_ASSETS = "/dashboard/assets"
    DASHBOARD_ALERTS = "/dashboard/alerts"
    D360_WIRELESS_SURROUNDINGAPS = "/d360/wireless/surrounding-aps"
    D360_CLIENT_GRID = "/d360/client/grid"
    D360_CLIENT_GRAPH = "/d360/client/graph"
    CREDENTIALDISTRIBUTIONGROUPS = "/credential-distribution-groups"
    COPILOT_ANOMALIES_EXCLUDEVLANS = "/copilot/anomalies/exclude-vlans"
    COPILOT_ANOMALIES_EXCLUDEVLANSCSV = "/copilot/anomalies/exclude-vlans-csv"
    CLIENTMONITORPROFILES = "/client-monitor-profiles"
    CLASSIFICATIONRULES = "/classification-rules"
    CCGS = "/ccgs"
    BACKUP_HISTORY_RESTORE = "/backup/history/:restore"
    AUTH_PERMISSIONS_CHECK = "/auth/permissions/:check"
    AUTH_APITOKEN = "/auth/apitoken"
    AUTH_APITOKEN_VALIDATE = "/auth/apitoken/:validate"
    APS_AFC_UPDATE = "/aps/afc/update"
    AP_SPECTRUM_ = "/ap/spectrum/"
    ALERTS_REPORTS = "/alerts/reports"
    ALERTS_ACKNOWLEDGE = "/alerts/:acknowledge"
    ALERTSUBSCRIPTIONS_WEBHOOKS = "/alert-subscriptions/webhooks"
    ALERTSUBSCRIPTIONS_WEBHOOKS_DELETE = "/alert-subscriptions/webhooks/:delete"
    ALERTSUBSCRIPTIONS_SERVICENOW = "/alert-subscriptions/servicenow"
    ALERTSUBSCRIPTIONS_SERVICENOW_DELETE = "/alert-subscriptions/servicenow/:delete"
    ALERTSUBSCRIPTIONS_EMAILS = "/alert-subscriptions/emails"
    ALERTSUBSCRIPTIONS_EMAILS_ID_VERIFY = "/alert-subscriptions/emails/{id}/:verify"
    ALERTSUBSCRIPTIONS_EMAILS_DELETE = "/alert-subscriptions/emails/:delete"
    ALERTPOLICIES = "/alert-policies"
    ALERTPOLICIES_POLICY_ID_RULES_RULE_ID_ENABLE = "/alert-policies/{policyId}/rules/{ruleId}/:enable"
    ALERTPOLICIES_POLICY_ID_RULES_RULE_ID_DISABLE = "/alert-policies/{policyId}/rules/{ruleId}/:disable"
    ACCTAPITOKEN = "/acct-api-token"
    ACCOUNT_VIQ_IMPORT = "/account/viq/import"
    ACCOUNT_VIQ_EXPORT = "/account/viq/export"
    ACCOUNT_VIQ_RESET = "/account/viq/:reset"
    ACCOUNT_VIQ_BACKUP = "/account/viq/:backup"
    ACCOUNT_SWITCH = "/account/:switch"
    VLANPROFILES_ID = "/vlan-profiles/{id}"
    USERS_ID = "/users/{id}"
    USERS_EXTERNAL_ID = "/users/external/{id}"
    ACCTAPITOKEN_ID = "/acct-api-token/{id}"
    USERS_ME = "/users/me"
    USERGROUPS_UNIQUE = "/usergroups/:unique"
    USERPROFILEASSIGNMENTS_ID = "/user-profile-assignments/{id}"
    UCP_ID_ENGINES_INSTALLED = "/ucp/{id}/engines/installed"
    THREAD_TOPOLOGY = "/thread/topology"
    THREAD_ROUTERS = "/thread/routers"
    THREAD_NETWORKS = "/thread/networks"
    SUBSCRIPTIONS_WEBHOOK_EXPORT = "/subscriptions/webhook/export"
    SSIDS = "/ssids"
    SMSTEMPLATES = "/sms-templates"
    RADIUSSERVERS_INTERNAL_DEVICES = "/radius-servers/internal/devices"
    RADIUSPROXIES_DEVICES = "/radius-proxies/devices"
    RADIOOPERATINGMODES_PRODUCT_TYPE = "/radio-operating-modes/{productType}"
    PACKETCAPTURES_ID = "/packetcaptures/{id}"
    PACKETCAPTURES_FILES = "/packetcaptures/files"
    OPERATIONS_OPERATION_ID = "/operations/{operationId}"
    NETWORKSCORECARD_WIFI_HEALTH_LOCATION_ID = "/network-scorecard/wifiHealth/{locationId}"
    NETWORKSCORECARD_SERVICES_HEALTH_LOCATION_ID = "/network-scorecard/servicesHealth/{locationId}"
    NETWORKSCORECARD_NETWORK_HEALTH_LOCATION_ID = "/network-scorecard/networkHealth/{locationId}"
    NETWORKSCORECARD_DEVICE_HEALTH_LOCATION_ID = "/network-scorecard/deviceHealth/{locationId}"
    NETWORKSCORECARD_CLIENT_HEALTH_LOCATION_ID = "/network-scorecard/clientHealth/{locationId}"
    NETWORKPOLICIES_ID_SSIDS = "/network-policies/{id}/ssids"
    LOGS_SMS = "/logs/sms"
    LOGS_EMAIL = "/logs/email"
    LOGS_CREDENTIAL = "/logs/credential"
    LOGS_AUTH = "/logs/auth"
    LOGS_AUDIT = "/logs/audit"
    LOGS_AUDIT_REPORTS_ID = "/logs/audit/reports/{id}"
    LOGS_AUDIT_FULLDESCRIPTIONS_ID = "/logs/audit/full-descriptions/{id}"
    LOGS_ACCOUNTING = "/logs/accounting"
    LOCATIONS_TREE = "/locations/tree"
    LOCATIONS_TREE_MAPS = "/locations/tree/maps"
    LOCATIONS_TREE_DEVICES = "/locations/tree/devices"
    HIQ_STATUS = "/hiq/status"
    GEOVIEW = "/geo-view"
    ESSENTIALS_ELOC_CLIENTS_CLIENT_MAC_LASTKNOWNLOCATION = "/essentials/eloc/clients/{clientMac}/last-known-location"
    EMAILTEMPLATES = "/email-templates"
    DEVICES = "/devices"
    DEVICES_ID = "/devices/{id}"
    DEVICES_ID_SSID_STATUS = "/devices/{id}/ssid/status"
    DEVICES_ID_MONITOR_REFRESH_STATUS = "/devices/{id}/monitor/refresh/status"
    DEVICES_ID_IOT = "/devices/{id}/iot"
    DEVICES_ID_INTERFACES_WIFI = "/devices/{id}/interfaces/wifi"
    DEVICES_ID_INSTALLATIONREPORT = "/devices/{id}/installation-report"
    DEVICES_ID_IBEACON = "/devices/{id}/ibeacon"
    DEVICES_ID_HISTORY_CPUMEM = "/devices/{id}/history/cpu-mem"
    DEVICES_ID_GEOLOCATION = "/devices/{id}/geolocation"
    DEVICES_ID_GALLERYIMAGE = "/devices/{id}/gallery-image"
    DEVICES_ID_ALARMS = "/devices/{id}/alarms"
    DEVICES_STATS = "/devices/stats"
    DEVICES_RMDEVICESSTACK_STACK_ID = "/devices/rm-devices-stack/{stackId}"
    DEVICES_RADIOINFORMATION = "/devices/radio-information"
    DEVICES_NETWORKPOLICY_POLICY_ID = "/devices/network-policy/{policyId}"
    DEVICES_DIGITALTWIN = "/devices/digital-twin"
    DEPLOYMENTS_DEPLOYMENT_ID_STATUS = "/deployments/{deploymentId}/status"
    DEPLOYMENTS_STATUS = "/deployments/status"
    DEPLOYMENTS_OVERVIEW = "/deployments/overview"
    DASHBOARD_WIRELESS_DEVICEHEALTH_REBOOT_SUMMARY = "/dashboard/wireless/device-health/reboot/summary"
    DASHBOARD_DEVICETYPES = "/dashboard/device-types"
    D360_WIRELESS_INTERFACESSTATS = "/d360/wireless/interfaces-stats"
    D360_WIRELESS_INTERFACESGRAPH = "/d360/wireless/interfaces-graph"
    D360_SSIDMETADATA = "/d360/ssid-metadata"
    D360_OVERVIEW_DEVICESSUMMARY = "/d360/overview/devices-summary"
    D360_DEVICE_STATS = "/d360/device/stats"
    D360_DEVICE_METADATA = "/d360/device/metadata"
    D360_DEVICE_ISSUES = "/d360/device/issues"
    D360_DEVICE_INTERFACES = "/d360/device/interfaces"
    D360_CLIENT_STATS = "/d360/client/stats"
    D360_CLIENT_GRID_METADATA = "/d360/client/grid/metadata"
    CWPS = "/cwps"
    COUNTRIES = "/countries"
    COUNTRIES_COUNTRY_CODE_VALIDATE = "/countries/{countryCode}/:validate"
    COUNTRIES_COUNTRY_ALPHA2CODE_STATES = "/countries/{countryAlpha2Code}/states"
    COPILOT_CONNECTIVITY_WIRELESS_VIEWS = "/copilot/connectivity/wireless/views"
    COPILOT_CONNECTIVITY_WIRELESS_TIMETOCONNECT = "/copilot/connectivity/wireless/time-to-connect"
    COPILOT_CONNECTIVITY_WIRELESS_QUALITYINDEX = "/copilot/connectivity/wireless/quality-index"
    COPILOT_CONNECTIVITY_WIRELESS_PERFORMANCE = "/copilot/connectivity/wireless/performance"
    COPILOT_CONNECTIVITY_WIRELESS_LOCATIONS_TIMETOCONNECT = "/copilot/connectivity/wireless/locations/time-to-connect"
    COPILOT_CONNECTIVITY_WIRELESS_LOCATIONS_QUALITYINDEX = "/copilot/connectivity/wireless/locations/quality-index"
    COPILOT_CONNECTIVITY_WIRELESS_LOCATIONS_PERFORMANCE = "/copilot/connectivity/wireless/locations/performance"
    COPILOT_CONNECTIVITY_WIRELESS_LOCATIONS_EVENTS = "/copilot/connectivity/wireless/locations/events"
    COPILOT_CONNECTIVITY_WIRELESS_EXPERIENCE = "/copilot/connectivity/wireless/experience"
    COPILOT_CONNECTIVITY_WIRELESS_EVENTS = "/copilot/connectivity/wireless/events"
    COPILOT_CONNECTIVITY_WIRELESS_APPS = "/copilot/connectivity/wireless/apps"
    COPILOT_CONNECTIVITY_WIRED_QUALITYINDEX = "/copilot/connectivity/wired/quality-index"
    COPILOT_CONNECTIVITY_WIRED_LOCATIONS_HARDWARE = "/copilot/connectivity/wired/locations/hardware"
    COPILOT_CONNECTIVITY_WIRED_HARDWARE = "/copilot/connectivity/wired/hardware"
    COPILOT_CONNECTIVITY_WIRED_EXPERIENCE = "/copilot/connectivity/wired/experience"
    COPILOT_CONNECTIVITY_WIRED_EVENTS = "/copilot/connectivity/wired/events"
    COPILOT_CONNECTIVITY_LOCATIONS = "/copilot/connectivity/locations"
    COPILOT_CONNECTIVITY_CLIENTTYPE = "/copilot/connectivity/client-type"
    COPILOT_ASSURANCESCANS_OVERVIEW = "/copilot/assurance-scans/overview"
    COPILOT_ANOMALIES_WIFIEFFICIENCY_STATS = "/copilot/anomalies/wifi-efficiency/stats"
    COPILOT_ANOMALIES_WIFIEFFICIENCY_CLIENTLIST = "/copilot/anomalies/wifi-efficiency/client-list"
    COPILOT_ANOMALIES_WIFICAPACITY_STATS = "/copilot/anomalies/wifi-capacity/stats"
    COPILOT_ANOMALIES_WIFICAPACITY_CLIENTLIST = "/copilot/anomalies/wifi-capacity/client-list"
    COPILOT_ANOMALIES_REPORT = "/copilot/anomalies/report"
    COPILOT_ANOMALIES_PORTEFFICIENCY_STATS = "/copilot/anomalies/port-efficiency/stats"
    COPILOT_ANOMALIES_PORTEFFICIENCY_SPEEDDUPLEXSTATS = "/copilot/anomalies/port-efficiency/speed-duplex-stats"
    COPILOT_ANOMALIES_POEFLAPPING_TRENDS = "/copilot/anomalies/poeflapping/trends"
    COPILOT_ANOMALIES_POEFLAPPING_STATS = "/copilot/anomalies/poeflapping/stats"
    COPILOT_ANOMALIES_POEFLAPPING_LLDPCDPINFO = "/copilot/anomalies/poeflapping/lldp-cdp-info"
    COPILOT_ANOMALIES_NOTIFICATIONS = "/copilot/anomalies/notifications"
    COPILOT_ANOMALIES_MISSINGVLAN_COUNT = "/copilot/anomalies/missing-vlan/count"
    COPILOT_ANOMALIES_LOCATIONS = "/copilot/anomalies/locations"
    COPILOT_ANOMALIES_HARDWAREHEALTH_STATS = "/copilot/anomalies/hardware-health/stats"
    COPILOT_ANOMALIES_HARDWAREHEALTH_CPUMEMSTATS = "/copilot/anomalies/hardware-health/cpu-mem-stats"
    COPILOT_ANOMALIES_HARDWAREHEALTH_CLIENTLIST = "/copilot/anomalies/hardware-health/client-list"
    COPILOT_ANOMALIES_EXCLUDEDVLANSLIST = "/copilot/anomalies/excluded-vlans-list"
    COPILOT_ANOMALIES_DFSRECURRENCE_COUNTSTATS = "/copilot/anomalies/dfs-recurrence/count-stats"
    COPILOT_ANOMALIES_DFSRECURRENCE_CHANNELSTATS = "/copilot/anomalies/dfs-recurrence/channel-stats"
    COPILOT_ANOMALIES_DEVICESWITHLOCATIONS = "/copilot/anomalies/devices-with-locations"
    COPILOT_ANOMALIES_DEVICESBYLOCATION = "/copilot/anomalies/devices-by-location"
    COPILOT_ANOMALIES_ANOMALIESBYCATEGORY = "/copilot/anomalies/anomalies-by-category"
    COPILOT_ANOMALIES_ADVERSETRAFFIC_PACKETCOUNTS = "/copilot/anomalies/adverse-traffic/packet-counts"
    COPILOT_ANOMALIES_ADVERSETRAFFIC_DEVICESTATS = "/copilot/anomalies/adverse-traffic/device-stats"
    CLIENTS_ID = "/clients/{id}"
    CLIENTS_USAGE = "/clients/usage"
    CLIENTS_SUMMARY = "/clients/summary"
    CLIENTS_BY_MAC_CLIENT_MAC = "/clients/byMac/{clientMac}"
    CLIENTS_ACTIVE = "/clients/active"
    CLIENTS_ACTIVE_COUNT = "/clients/active/count"
    CLIENTDETAILS_OVERVIEW_INFO_CLIENT_ID = "/client-details/overview/info/{clientId}"
    CLIENTDETAILS_OVERVIEW_CHARTDATA_CLIENT_ID = "/client-details/overview/chart-data/{clientId}"
    CERTIFICATES = "/certificates"
    BACKUP_HISTORY_GRID = "/backup/history/grid"
    AUTH_PERMISSIONS = "/auth/permissions"
    AUTH_APITOKEN_INFO = "/auth/apitoken/info"
    APS_AFC_QUERY_ = "/aps/afc/query/"
    APPLICATIONS = "/applications"
    APPLICATIONS_ID_CLIENTS_TOPN = "/applications/{id}/clients/top{n}"
    APPLICATIONS_TOPN = "/applications/top{n}"
    AP_AFC_INTERFACE_DETAILS_SN = "/ap/afc/interface/details/{sn}"
    AP_AFC_DIAGNOSTICS_ID = "/ap/afc/diagnostics/{id}"
    ALERTS = "/alerts"
    ALERTS_REPORTS_ID = "/alerts/reports/{id}"
    ALERTS_COUNTBYGROUP = "/alerts/count-by-{group}"
    ALERTPOLICIES_AVAILABLESITES = "/alert-policies/available-sites"
    AFCSERVER = "/afcserver"
    AFCSERVER_SERVER_ID = "/afcserver/{server_id}"
    AFCSERVER_STATISTICS_SERVER_ID = "/afcserver/statistics/{server_id}"
    ADSERVERS = "/ad-servers"
    ACCTAPITOKEN_EXPORT = "/acct-api-token/export"
    ACCOUNT_VIQ = "/account/viq"
    ACCOUNT_VIQ_EXPORTIMPORTSTATUS = "/account/viq/export-import-status"
    ACCOUNT_VIQ_DOWNLOAD = "/account/viq/download"
    ACCOUNT_VHM_STATUS = "/account/vhm/status"
    ACCOUNT_VHM_SETTING = "/account/vhm/setting"
    ACCOUNT_THIRDPARTYAPPLICATIONS = "/account/third-party-applications"
    ACCOUNT_HOME = "/account/home"
    ACCOUNT_EXTERNAL = "/account/external"
    SUBSCRIPTIONS_WEBHOOK_DELETE = "/subscriptions/webhook/:delete"
    RTTS_ID = "/rtts/{id}"
    PCGS_KEYBASED_NETWORKPOLICYPOLICY_ID = "/pcgs/key-based/network-policy-{policyId}"
    NETWORKSERVICES_ID = "/network-services/{id}"
    HIQ_ORGANIZATIONS_ID = "/hiq/organizations/{id}"
    DEVICES_RADIUSPROXY_REVOKE = "/devices/radius-proxy/:revoke"
    BACKUP_HISTORY_DELETE = "/backup/history/delete"
    ACCTAPITOKEN_DELETE = "/acct-api-token/:delete"
